#ifndef DEFINE_H
#define DEFINE_H

struct Matrix4X4
{
    float values[16];
    void identity()
    {
        memset(values, 0, sizeof(values));
        values[0]  = 1.0f;
        values[5]  = 1.0f;
        values[10] = 1.0f;
        values[15] = 1.0f;
    }
};

struct Matrix3X3
{
    float values[9];
    void identity()
    {
        memset(values, 0, sizeof(values));
        values[0] = 1.0f;
        values[4] = 1.0f;
        values[8] = 1.0f;
    }
};

const double gPlaneHalfW = 0.5;

#define NumOfFace_sqrt 5
#define NumOfFace (NumOfFace_sqrt*NumOfFace_sqrt)

#endif